org.jgrapht

## Interface VertexFactory<V>

- All Known Implementing Classes:
    ClassBasedVertexFactory

      public interface VertexFactory<V>

  A vertex factory used by graph algorithms for creating new vertices. Normally, vertices are constructed by user code and added to a graph explicitly, but algorithms which generate new vertices require a factory.
  Since:
    Sep 16, 2003
  Author:
    John V. Sichi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `createVertex()` Creates a new vertex.

- - ### Method Detail

    - #### createVertex

          V createVertex()

      Creates a new vertex.
      Returns:
        the new vertex

Copyright © 2016. All rights reserved.